from pydantic import BaseModel, StrictStr, StrictInt

from src.core.decorators import check_params
from faker import Faker
from src.core.entity.ResponseTypes import ResponseTypes
import random


class GetNextAlertModel(BaseModel):
    type_alert: StrictStr
    point: StrictInt

faker = Faker()

@check_params(GetNextAlertModel)
def get_next_alert(params) -> dict:
    """
    Get next alert

    :param GetNextAlertModel params:
    :return: dict
    """
    return {
        "type": ResponseTypes.SUCCESS,
        "error": None,
        "data": {
            "id": faker.uuid4(),
            "type": random.choice(["ok", "warning", "danger"]),
            "message": random.choice([
                f"The node number {random.randint(1, 8)} needs attention",
                f"The connection with the node number {random.randint(1, 8)} is unstable",
                f"The node number {random.randint(1, 8)} is offline",
                f"The node number {random.randint(1, 8)} is overheating",
                f"The node number {random.randint(1, 8)} is under maintenance",
            ]),
            }
        }
