import os
import time
import random

from flask import Flask, request, Response

from src.infra.api.flask.middlewares import register_middlewares
from src.infra.api.flask.routes.sse_routes import sse_routes
from src.infra.api.flask.routes.api_documents_routes import documents_routes

app = Flask(__name__)
register_middlewares(app)

# Blueprints
app.register_blueprint(documents_routes)
app.register_blueprint(sse_routes)

@app.route('/')
def index():
    return {'Welcome to Clean Architecture template!': 'The endpoint you are looking for is not in this castle. Read the documentation to find the right path.'}
