import os
from flask import Blueprint, request
from src.core.use_case import documents_use_case
from src.infra.storage.AzureStorage import AzureStorage

documents_routes = Blueprint("api_documents_routes", __name__, url_prefix="/api/v1/documents")


@documents_routes.route("/")
def documents_list():
    storage = AzureStorage(
        account_name=os.getenv("AZURE_STORAGE_ACCOUNT_NAME", ""),
        account_key=os.getenv("AZURE_STORAGE_ACCOUNT_KEY", ""),
    )
    params = request.args
    return documents_use_case.documents_list(storage=storage, params=params)
